Create API Key
curl --request POST \
--url https://api.trillet.ai/v1/api/keys \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '{
"metadata": {}
}'import requests
url = "https://api.trillet.ai/v1/api/keys"
payload = { "metadata": {} }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({metadata: {}})
};
fetch('https://api.trillet.ai/v1/api/keys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"key": "tk_a1b2c3d4e5f6g7h8i9j0k1l2m3n4o5p6",
"_id": "665a1b2c3d4e5f6a7b8c9d0e",
"userId": "664a1b2c3d4e5f6a7b8c9d0e",
"metadata": {},
"createdAt": "2024-06-01T09:00:00.000Z"
}
Create API Key
Generate a new API key for authenticating requests to the Trillet API.
POST
/
v1
/
api
/
keys
Create API Key
Headers
string
required
API key used for authenticating requests to the API.
Request Body
object
Optional metadata to associate with the API key.
Response Fields
string
The generated 32-character API key. Store this securely as it cannot be retrieved again.
string
Unique identifier for the API key record.
string
User ID associated with the API key.
object
Metadata associated with the API key.
string
Timestamp when the API key was created.
{
"key": "tk_a1b2c3d4e5f6g7h8i9j0k1l2m3n4o5p6",
"_id": "665a1b2c3d4e5f6a7b8c9d0e",
"userId": "664a1b2c3d4e5f6a7b8c9d0e",
"metadata": {},
"createdAt": "2024-06-01T09:00:00.000Z"
}
⌘I
